# Status Change Push
source: https://developer.mastercard.com/cross-border-services/documentation/api-ref/status-change-api/index.md

The Status Change Push Notification is offered as an opt-in functionality to obtain a near real-time status update.   

* For Customers using the [Quote Confirmation Service](https://developer.mastercard.com/cross-border-services/documentation/api-ref/quote-confirmation-apis/index.md), the status is obtained for both a Quote and Payment Transaction.   
* For Customers using Carded Rates, a status is obtained for the Transaction only.   
* For Customers foregoing use of a Rate Identifier prior to submitting a Payment, be it a Quote API Proposal ID or a Carded Rate ID, a status is obtained for the Payment only.

## Environment Domains {#environment-domains}

The Status Change Push Notification is notification and electronic webhook to provide status updates on Customers using this service when leveraging Payment API, Payment with Quotes/Confirmed Quotes and Quote Confirmations.

## API {#api}

[**Open Specification**](https://static.developer.mastercard.com/content/cross-border-services/swagger/status_change_swagger.yaml)

API Reference: `POST /webhook`

* **Formats supported** : JSON   
* **HTTP Version**: 1.0/ 1.1
* **Required HTTP header parameters** :   
  content-type : Format of the inbound content being submitted. example: application/ json   
  content-length: Length of the inbound content body in octets.   
  Accept: Format of the expected response must be provided in this header field. Example - application/json

## Payload Encryption {#payload-encryption}

All the request payload sent by you to Mastercard must be encrypted. And you will need to decrypt the payload sent by  
Mastercard.   

For more detailed information on payload **Encryption/ Decryption** , please see [here](https://developer.mastercard.com/cross-border-services/documentation/api-ref/encryption/index.md)

## Sandbox Testing {#sandbox-testing}

Not Applicable

## Sample Requests {#sample-requests}

### 1. Quote Status Update - "CONFIRMATION PENDING TO PENDING" {#1-quote-status-update---confirmation-pending-to-pending}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ABDGA51fdhskHkjlhjk78971212HLKHS",
  "eventType": "STATUS_CHG",
  "transactionReference": "0975453fsdhfwsdew74575734573GTRWDF_4747",
  "transactionType": "QUOTE",
  "quote": {
    "proposalId": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
    "confirmStatus": {
      "status": "PENDING",
      "pendingStage": "Expired",
      "statusTimestamp": "2021-06-25T15:41:00-05:00"
    },
    "proposals": [
      {
        "id": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
        "feesIncluded": true,
        "expirationDate": "2021-06-25T15:46:00-05:00",
        "quoteFxRate": 3.7833456828,
        "chargedAmount": {
          "amount": 19.52,
          "currency": "USD"
        },
        "creditedAmount": {
          "amount": 129.15,
          "currency": "GBP"
        },
        "principalAmount": {
          "amount": 164.45,
          "currency": "USD"
        },
        "additionalDataList": {
          "resourceType": "list",
          "itemCount": 1,
          "data": {
            "dataFields": [
              {
                "name": 700,
                "value": "USA"
              }
            ]
          }
        },
        "confirmationExpiryTime": "2021-06-25T15:46:00-05:00"
      }
    ]
  },
  "transactionHistories": [
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "Expired",
      "timestamp": "2021-06-25T15:41:00-05:00"
    },
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "Ambiguous",
      "timestamp": "2021-06-25T15:40:00-05:00"
    }
  ]
}
```

### 2. Quote Status Update - "CONFIRMATION PENDING TO CONFIRM" {#2-quote-status-update---confirmation-pending-to-confirm}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ABDGA51fdhskHkjlhjk78971212HLKHS",
  "eventType": "STATUS_CHG",
  "transactionReference": "0975453fsdhfwsdew74575734573GTRWDF_4747",
  "transactionType": "QUOTE",
  "quote": {
    "proposalId": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
    "confirmStatus": {
      "status": "CONFIRMED",
      "statusTimestamp": "2021-06-25T15:41:00-05:00"
    },
    "paymentSubmissionExpiryTime": "2021-06-25T19:41:08-05:00",
    "proposals": [
      {
        "id": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
        "feesIncluded": true,
        "expirationDate": "2021-06-25T15:46:00-05:00",
        "quoteFxRate": 3.7833456828,
        "chargedAmount": {
          "amount": 19.52,
          "currency": "USD"
        },
        "creditedAmount": {
          "amount": 129.15,
          "currency": "GBP"
        },
        "principalAmount": {
          "amount": 164.45,
          "currency": "USD"
        },
        "additionalDataList": {
          "resourceType": "list",
          "itemCount": 1,
          "data": {
            "dataFields": [
              {
                "name": 700,
                "value": "USA"
              }
            ]
          }
        },
        "confirmationExpiryTime": "2021-06-25T15:46:00-05:00"
      }
    ]
  },
  "transactionHistories": [
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "CONFIRMED",
      "timestamp": "2021-06-25T15:41:00-05:00"
    },
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "Ambiguous",
      "timestamp": "2021-06-25T15:40:00-05:00"
    }
  ]
}
```

### 3. Quote Status Update - "CONFIRMATION PENDING TO REJECTED" {#3-quote-status-update---confirmation-pending-to-rejected}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ABDGA51fdhskHkjlhjk78971212HLKHS",
  "eventType": "QUOTE_STATUS_CHG",
  "transactionReference": "0975453fsdhfwsdew74575734573GTRWDF_4747",
  "transactionType": "QUOTE",
  "quote": {
    "proposalId": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
    "confirmStatus": {
      "status": "REJECTED",
      "statusTimestamp": "2021-06-25T15:41:00-05:00",
      "errorCode": "130195",
      "errorMessage": "Confirmation requested for Expired Quote"
    },
    "proposals": [
      {
        "id": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
        "feesIncluded": true,
        "expirationDate": "2021-06-25T15:46:00-05:00",
        "quoteFxRate": 3.7833456828,
        "chargedAmount": {
          "amount": 19.52,
          "currency": "USD"
        },
        "creditedAmount": {
          "amount": 129.15,
          "currency": "GBP"
        },
        "principalAmount": {
          "amount": 164.45,
          "currency": "USD"
        },
        "additionalDataList": {
          "resourceType": "list",
          "itemCount": 1,
          "data": {
            "dataFields": [
              {
                "name": 700,
                "value": "USA"
              }
            ]
          }
        },
        "confirmationExpiryTime": "2021-06-25T15:46:00-05:00"
      }
    ]
  },
  "transactionHistories": [
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "REJECTED",
      "timestamp": "2021-06-25T15:41:00-05:00"
    },
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "Ambiguous",
      "timestamp": "2021-06-25T15:40:00-05:00"
    }
  ]
}
```

### 4. Quote Status Update - "CANCELLATION PENDING TO PENDING" {#4-quote-status-update---cancellation-pending-to-pending}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ABDGA51fdhskHkjlhjk78971212HLKHS",
  "eventType": "STATUS_CHG",
  "transactionReference": "0975453fsdhfwsdew74575734573GTRWDF_4747",
  "transactionType": "QUOTE",
  "quote": {
    "proposalId": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
    "cancelStatus": {
      "status": "PENDING",
      "statusTimestamp": "2021-06-25T15:41:00-05:00"
    },
    "proposals": [
      {
        "id": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
        "feesIncluded": true,
        "expirationDate": "2021-06-25T15:46:00-05:00",
        "quoteFxRate": 3.7833456828,
        "chargedAmount": {
          "amount": 19.52,
          "currency": "USD"
        },
        "creditedAmount": {
          "amount": 129.15,
          "currency": "GBP"
        },
        "principalAmount": {
          "amount": 164.45,
          "currency": "USD"
        },
        "additionalDataList": {
          "resourceType": "list",
          "itemCount": 1,
          "data": {
            "dataFields": [
              {
                "name": 700,
                "value": "USA"
              }
            ]
          }
        },
        "confirmationExpiryTime": "2021-06-25T15:46:00-05:00"
      }
    ]
  },
  "transactionHistories": [
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "timestamp": "2021-06-25T15:41:00-05:00"
    },
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "Ambiguous",
      "timestamp": "2021-06-25T15:40:00-05:00"
    }
  ]
}
```

### 5. Quote Status Update - "CANCELLATION PENDING TO CANCELLED" {#5-quote-status-update---cancellation-pending-to-cancelled}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ABDGA51fdhskHkjlhjk78971212HLKHS",
  "eventType": "STATUS_CHG",
  "transactionReference": "0975453fsdhfwsdew74575734573GTRWDF_4747",
  "transactionType": "QUOTE",
  "quote": {
    "proposalId": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
    "cancelStatus": {
      "status": "CANCELLED",
      "statusTimestamp": "2021-06-25T15:41:00-05:00"
    },
    "releasedReservedAmount": {
      "amount": 195.52,
      "currency": "USD"
    },
    "proposals": [
      {
        "id": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
        "feesIncluded": true,
        "expirationDate": "2021-06-25T15:46:00-05:00",
        "quoteFxRate": 3.7833456828,
        "chargedAmount": {
          "amount": 19.52,
          "currency": "USD"
        },
        "creditedAmount": {
          "amount": 129.15,
          "currency": "GBP"
        },
        "principalAmount": {
          "amount": 164.45,
          "currency": "USD"
        },
        "additionalDataList": {
          "resourceType": "list",
          "itemCount": 1,
          "data": {
            "dataFields": [
              {
                "name": 700,
                "value": "USA"
              }
            ]
          }
        },
        "confirmationExpiryTime": "2021-06-25T15:46:00-05:00"
      }
    ]
  },
  "transactionHistories": [
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "CANCELLED",
      "timestamp": "2021-06-25T15:41:00-05:00"
    },
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "Ambiguous",
      "timestamp": "2021-06-25T15:40:00-05:00"
    }
  ]
}
```

### 6. Payment Status Update - "PENDING TO SUCCESS" {#6-payment-status-update---pending-to-success}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ABDGA51fdhskHkjlhjk78971212HLKHS",
  "eventType": "STATUS_CHG",
  "transactionReference": "0975453fsdhfwsdew74575734573GTRWDF_4748",
  "transactionType": "PAYMENT",
  "payment": {
    "proposalId": "yTP8tzPTNdDPBVZr+Y/+c4CxuTA=",
    "paymentType": "P2P",
    "localDateTime": "1803185505",
    "sendProcessedDateTime": "2021-03-18T14:18:55-05:00",
    "senderAccountUri": "tel:+3312345678",
    "recipientAccountUri": "tel:+3312345679",
    "quoteType": {
      "reverse": {
        "senderCurrency": "USD"
      }
    },
    "transactionStatus": {
      "status": "SUCCESS"
    },
    "fxRate": 3.7833456828,
    "chargedAmount": {
      "amount": 19.52,
      "currency": "USD"
    },
    "creditedAmount": {
      "amount": 129.15,
      "currency": "GBP"
    },
    "principalAmount": {
      "amount": 164.45,
      "currency": "USD"
    },
    "feeAmount": {
      "amount": 13.65,
      "currency": "USD"
    },
    "senderCurrency": "CAD",
    "paymentOriginationCountry": "CAN",
    "sender": {
      "firstName": "John",
      "middleName": "Adam",
      "lastName": "Smith",
      "organizationName": "ABC Company",
      "nationality": "USA",
      "governmentIds": [
        {
          "governmentIdUri": "ppn:123456789;expiration-date=2019-05-27;issue-date=2011-07-12;country=USA"
        }
      ],
      "dateOfBirth": "1985-06-24"
    },
    "recipient": {
      "firstName": "John",
      "middleName": "Adam",
      "lastName": "Smith",
      "organizationName": "ABC Company",
      "nationality": "USA",
      "governmentIds": [
        {
          "governmentIdUri": "ppn:123456789;expiration-date=2019-05-27;issue-date=2011-07-12;country=USA"
        }
      ],
      "phone": "63611152525479998233223439702",
      "email": "customer@gmail.com"
    },
    "purposeOfPayment": "Family Maintenance",
    "settlementDetails": {
      "amount": "10.85",
      "currency": "USD"
    },
    "receivingBankName": "Royal Exchange",
    "receivingBankBranchName": "Quad Cities",
    "bankCode": "NS02",
    "sourceOfIncome": "Salary",
    "paymentFileIdentifier": "AH20765345_873",
    "cashoutCode": "Peaches"
  },
  "transactionHistories": [
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "SUCCESS",
      "timestamp": "2021-06-25T15:41:00-05:00"
    },
    {
      "notificationId": "ABDGA51fdhskHkjlhjk78971212HLKHS",
      "status": "PENDING",
      "stage": "InProgress",
      "timestamp": "2021-06-25T15:40:00-05:00"
    }
  ]
}
```

### 7. Payment Status Update - "PENDING TO REJECTED" {#7-payment-status-update---pending-to-rejected}

* JSON

```JSON
{
  "partnerId": "NewPartnerQC",
  "eventRef": "ref_opGESGTozKvqU9O5LCrD11TKL5SO",
  "eventType": "STATUS_CHG",
  "transactionReference": "064a4b371abf7f46b0b6cb3",
  "transactionType": "PAYMENT",
  "payment": {
    "proposalId": "pen-4000964396222525561977438",
    "paymentType": "P2P",
    "sendProcessedDateTime": "2024-02-13T18:29:03-06:00",
    "senderAccountUri": "tel:+254050005",
    "recipientAccountUri": "tel:+254070000",
    "quoteType": {
      "forward": {
        "feesIncluded": "true",
        "receiverCurrency": "INR"
      }
    },
    "transactionStatus": {
      "status": "REJECTED",
      "errorCode": "082000",
      "errorMessage": "Invalid Input Value"
    },
    "fxRate": "19.12",
    "chargedAmount": {
      "amount": "105.13",
      "currency": "USD"
    },
    "creditedAmount": {
      "amount": "1001.2",
      "currency": "USD"
    },
    "principalAmount": {
      "amount": "100.12",
      "currency": "USD"
    },
    "feeAmount": {
      "amount": "5.01",
      "currency": "USD"
    },
    "paymentOriginationCountry": "USA",
    "sender": {
      "firstName": "John",
      "middleName": "L",
      "lastName": "Doe",
      "nationality": "USA",
      "address": {
        "line1": "123MainStreet",
        "line2": "5A",
        "city": "Arlington",
        "countrySubdivision": "VA",
        "postalCode": "22207",
        "country": "USA"
      },
      "dateOfBirth": "1985-06-24"
    },
    "recipient": {
      "firstName": "Lee",
      "middleName": "M",
      "lastName": "Cardholder",
      "nationality": "USA",
      "address": {
        "line1": "123MainStreet",
        "line2": "5A",
        "city": "Arlington",
        "countrySubdivision": "VA",
        "postalCode": "22207",
        "country": "USA"
      },
      "phone": "0016367224357",
      "email": "customer@gmail.com"
    },
    "settlementDetails": {
      "amount": "23.12",
      "currency": "EUR"
    },
    "receivingBankName": "Royal Exchange",
    "receivingBankBranchName": "Quad Cities",
    "sourceOfIncome": "Sal",
    "cashoutCode": "123456",
    "additionalDataList": {
      "resourceType": "list",
      "itemCount": 3,
      "data": {
        "dataFields": [
          {
            "name": "111",
            "value": "Oak Street"
          },
          {
            "name": "112",
            "value": "any city"
          },
          {
            "name": "880",
            "value": "INR 29.06"
          }
        ]
      }
    }
  },
  "transactionHistories": [
    {
      "notificationId": "ref_opGESGTozKvqU9O5LCrD11TKL5SO",
      "status": "REJECTED",
      "timestamp": "2024-02-13T18:29:05-06:00"
    },
    {
      "status": "PENDING",
      "stage": "InProgress",
      "timestamp": "2024-02-13T18:29:03-06:00"
    }
  ]
}
```

### 8. Payment Status Update - "SUCCESS to RETURNED" For Return Reason Version 2 {#8-payment-status-update---success-to-returned-for-return-reason-version-2}

* JSON

```JSON
{
  "partner_id": "QA_LockND",
  "event_ref": "ref_hRS3KQNjBmZT8ecoG1JIf8aB7TXe",
  "event_type": "STATUS_CHG",
  "transaction_reference": "0987e9eed016e240428d793",
  "transaction_type": "PAYMENT",
  "payment_type": "P2P",
  "send_processed_date_time": "2024-03-12T02:29:11-05:00",
  "sender_account_uri": "tel:+254108989",
  "recipient_account_uri": "tel:+254068989",
  "quote_type": {
    "forward": {
      "fees_included": "true"
    }
  },
  "current_transaction_status": "RETURNED",
  "charged_amount": {
    "amount": "105.13",
    "currency": "USD"
  },
  "principal_amount": {
    "amount": "100.12",
    "currency": "USD"
  },
  "credited_amount": {
    "amount": "1001.2",
    "currency": "USD"
  },
  "fee_amount": {
    "amount": "5.01",
    "currency": "USD"
  },
  "payment_origination_country": "USA",
  "sender": {
    "first_name": "John",
    "middle_name": "L",
    "last_name": "Doe",
    "nationality": "USA",
    "address": {
      "line1": "123MainStreet",
      "line2": "#5A",
      "city": "Arlington",
      "country_subdivision": "NA",
      "postal_code": "12345",
      "country": "USA"
    },
    "government_ids": [
      {
        "government_id_uri": "ppn:123456789;expiration-date=2029-05-27;issue-date=2011-07-12;country=USA"
      }
    ],
    "date_of_birth": "1980-01-20"
  },
  "recipient": {
    "first_name": "John",
    "middle_name": "L",
    "last_name": "Doe",
    "nationality": "USA",
    "address": {
      "line1": "123MainStreet",
      "line2": "#5A",
      "city": "Arlington",
      "country_subdivision": "NA",
      "postal_code": "12345",
      "country": "CAN"
    },
    "government_ids": [
      {
        "government_id_uri": "ppn:999956789;expiration-date=2029-05-27;issue-date=2011-07-12;country=USA"
      }
    ],
    "phone": "6361115252",
    "email": "customer@gmail.com"
  },
  "settlement_details": {
    "currency": "EUR",
    "amount": "23.12"
  },
  "receiving_bank_name": "Royal Exchange",
  "receiving_bank_branch_name": "Quad Cities",
  "bank_code": "NP021",
  "source_of_income": "Regular Income",
  "payment_file_identifier": "123456789",
  "cashout_code": "123456",
  "fx_rate": "19.12",
  "return_message": "Returned per sending service provider's request",
  "additional_data": {
    "resource_type": "list",
    "item_count": "4",
    "data": {
      "data_field": [
        {
          "name": "256",
          "value": "2029-05-27"
        },
        {
          "name": "255",
          "value": "2011-07-12"
        },
        {
          "name": "254",
          "value": "USA"
        },
        {
          "name": "240",
          "value": "USA"
        }
      ]
    }
  },
  "purpose_of_payment": "Family Maintenance",
  "transaction_history": [
    {
      "notification_id": "ref_hRS3KQNjBmZT8ecoG1JIf8aB7TXe",
      "status": "RETURNED",
      "timestamp": "2024-03-12T02:29:16-05:00"
    },
    {
      "status": "SUCCESS",
      "timestamp": "2024-03-12T02:29:11-05:00"
    }
  ]
}
```

### 9. Payment Status Update - "SUCCESS TO RETURNED" For Return Reason Version 3 {#9-payment-status-update---success-to-returned-for-return-reason-version-3}

* JSON

```JSON
{
  "partnerId": "BEL_MASEND5ged2",
  "eventRef": "ref_Kkt9inUuM_ajQyXFWyqhYUN2D4l-",
  "eventType": "STATUS_CHG",
  "transactionReference": "06138507fd2c2e4fdcae0b5",
  "transactionType": "PAYMENT",
  "payment": {
    "paymentType": "P2P",
    "sendProcessedDateTime": "2022-11-15T01:19:11-06:00",
    "senderAccountUri": "tel:+254108989",
    "recipientAccountUri": "ban:00801044;bic=BNPAAU2SXXX",
    "quoteType": {
      "forward": {
        "feesIncluded": "false"
      }
    },
    "transactionStatus": {
      "status": "RETURNED",
      "errorCode": "130190",
      "errorMessage": "DECLINE:Invalid Recipient bank account number"
    },
    "fxRate": "1.463874",
    "chargedAmount": {
      "amount": "4",
      "currency": "USD"
    },
    "creditedAmount": {
      "amount": "5.86",
      "currency": "AUD"
    },
    "principalAmount": {
      "amount": "4",
      "currency": "USD"
    },
    "feeAmount": {
      "amount": "0",
      "currency": "USD"
    },
    "paymentOriginationCountry": "USA",
    "sender": {
      "firstName": "John",
      "middleName": "L",
      "lastName": "Doe",
      "nationality": "USA",
      "address": {
        "line1": "123MainStreet",
        "line2": "#5A",
        "city": "Arlington",
        "countrySubdivision": "A_B,C $@ Ã,@%12-3&",
        "postalCode": "411019",
        "country": "USA"
      },
      "dateOfBirth": "1980-01-20"
    },
    "recipient": {
      "firstName": "John",
      "middleName": "L",
      "lastName": "Doe",
      "nationality": "USA",
      "address": {
        "line1": "123MainStreet",
        "line2": "#5A",
        "city": "Arlington",
        "countrySubdivision": "ABC# 1-Ã23&: 1o:1",
        "postalCode": "411019",
        "country": "CAN"
      },
      "email": "customer@gmail.com"
    },
    "purposeOfPayment": "purpose_of_payment",
    "settlementDetails": {
      "amount": "3.98",
      "currency": "USD"
    },
    "receivingBankName": "Royal Exchange",
    "receivingBankBranchName": "Quad Cities",
    "bankCode": "NP021",
    "sourceOfIncome": "Regular Income",
    "paymentFileIdentifier": "123456789",
    "additionalDataList": {
      "resourceType": "list",
      "itemCount": 4,
      "data": {
        "dataFields": [
          {
            "name": 1200,
            "value": "BGD-BK"
          },
          {
            "name": 701,
            "value": "BGD"
          },
          {
            "name": 814,
            "value": "1.486166"
          },
          {
            "name": 840,
            "value": "51p2wreh4t8bwb17sebmatkupgg"
          }
        ]
      }
    }
  },
  "transactionHistories": [
    {
      "notificationId": "ref_Kkt9inUuM_ajQyXFWyqhYUN2D4l-",
      "status": "RETURNED",
      "timestamp": "2022-11-15T02:58:13-06:00"
    },
    {
      "notificationId": "ref_c45_ip-eNCYpnq_rDFRffmKdkkQ7",
      "status": "SUCCESS",
      "timestamp": "2022-11-15T01:24:14-06:00"
    },
    {
      "status": "PENDING",
      "stage": "EligibleForSettlement",
      "timestamp": "2022-11-15T01:19:11-06:00"
    }
  ]
}
```

## Sample Responses {#sample-responses}

No Response body

## Error Codes {#error-codes}

Please refer to complete list of error codes [here](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/index.md).

For information about the HTTP response codes that may be returned for your API requests, see [HTTP Response Codes](https://developer.mastercard.com/cross-border-services/documentation/response-error-codes/http-response-codes/index.md).
Note:
* Contact your mastercard representative for mTLS push notification mastercard public certificate. This certificate needs to be trusted by the receiving application. Also, please share the server certificate chain for validation (via KMP portal), if it's accepted on Mastercard's infrastructure.
* Once done, data can be sent by Mastercard to the other party.
